Zum Hauptinhalt springen
PUT
/
v3beta1
/
organizations
/
{org_id}
/
repositories
/
indexing
Repositorys stapelweise indexieren
curl --request PUT \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/indexing \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "repositories": [
    {
      "repository_path": "<string>",
      "branch_names": [
        "<string>"
      ]
    }
  ]
}
'
import requests

url = "https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/indexing"

payload = { "repositories": [
        {
            "repository_path": "<string>",
            "branch_names": ["<string>"]
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({repositories: [{repository_path: '<string>', branch_names: ['<string>']}]})
};

fetch('https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/indexing', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "branches": [
      "<string>"
    ],
    "indexing_enabled": true,
    "repository_path": "<string>",
    "indexing_status": {
      "indexing_enabled": true,
      "latest_completed_search_index_job": {
        "branch_name": "<string>",
        "commit": "<string>",
        "created_at": 123,
        "job_id": "<string>"
      },
      "latest_completed_wiki_index_job": {
        "branch_name": "<string>",
        "commit": "<string>",
        "created_at": 123,
        "job_id": "<string>"
      },
      "latest_indexes": [
        {
          "branch_name": "<string>",
          "commit": "<string>",
          "created_at": 123,
          "job_id": "<string>"
        }
      ]
    }
  }
]
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Berechtigungen

Erfordert einen Service-Benutzer mit der Berechtigung IndexOrgRepositories auf Ebene der Organisation.

Verhalten

Dieser Endpunkt ist idempotent — wird er mehrmals mit denselben Repositorys aufgerufen, werden keine doppelten Indexierungsaufträge erstellt. Er aktiviert die Indexierung und startet für jedes Repository in der Anfrage einen Indexierungsauftrag. Sie können optional branch_names für jedes Repository angeben, um bestimmte Branches zu indexieren. Wenn nichts angegeben wird, wird der Standard-Branch verwendet.

Autorisierungen

Authorization
string
header
erforderlich

Servicebenutzer-Anmeldedaten (Präfix: cog_)

Pfadparameter

org_id
string
erforderlich

Organisations-ID (Präfix: org-)

Beispiel:

"org-abc123def456"

Body

application/json
repositories
RepositoryIndexingItem · object[]
erforderlich
Required array length: 1 - 100 elements

Antwort

Erfolgreiche Antwort

branches
string[]
erforderlich
indexing_enabled
boolean
erforderlich
repository_path
string
erforderlich
indexing_status
RepoIndexingStatusResponse · object | null